Loading...
Searching...
No Matches
etl::imessage_router_registry::const_iterator Class Reference

Const Iterator. More...

`#include <message_router_registry.h>`

## Public Member Functions

| const_iterator (const imessage_router_registry::iterator &other)
| const_iterator (const const_iterator &other)
const_iterator & | operator= (const const_iterator &other)
const etl::imessage_router & | operator* () const
const etl::imessage_router * | operator-> () const
const_iterator & | operator++ ()
const_iterator | operator++ (int)

## Friends

class | imessage_router_registry
bool | operator== (const const_iterator &lhs, const const_iterator &rhs)
bool | operator!= (const const_iterator &lhs, const const_iterator &rhs)

## Detailed Description

Const Iterator.

The documentation for this class was generated from the following file:

- include/etl/message_router_registry.h